Bug 205946 - www/h2o: Update to 1.6.1
Summary: www/h2o: Update to 1.6.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jason Unovitch
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-01-06 08:03 UTC by Dave Cottlehuber
Modified: 2016-01-19 09:49 UTC (History)
1 user (show)

See Also:


Attachments
patch v1 (2.83 KB, text/plain)
2016-01-06 08:03 UTC, Dave Cottlehuber
koobs: maintainer-approval+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dave Cottlehuber freebsd_committer 2016-01-06 08:03:15 UTC
Created attachment 165139 [details]
patch v1

# change log

www/h2o: update to 1.6.1 and add libressl option

- add bundled libresssl option to port
- HTTP/2 support requires TLS ALPN extension which is missing in base openssl
- upstream expectation is that the bundled libressl is used by default to support HTTP/2
- enables ChaCha20-Poly1305 ciphers as a bonus
- thanks to Uwe Trenkner <uwe.trenkner@greenjobs.de> for the suggestion

# checks

- portlint  OK
- poudriere OK (10.2, 9.3 for all amd64 & i386)

# portlint -AC


WARN: /usr/ports/www/h2o/pkg-plist: [2]: If and only if your port is DATADIR-safe (that is, a user can override DATADIR when building this port and the port will still work correctly) consider using DATADIR macro; if you are unsure if this port is DATADIR-safe, then ignore this warning
WARN: /usr/ports/www/h2o/pkg-plist: [3]: If and only if your port is DATADIR-safe (that is, a user can override DATADIR when building this port and the port will still work correctly) consider using DATADIR macro; if you are unsure if this port is DATADIR-safe, then ignore this warning
WARN: /usr/ports/www/h2o/pkg-plist: [4]: If and only if your port is DATADIR-safe (that is, a user can override DATADIR when building this port and the port will still work correctly) consider using DATADIR macro; if you are unsure if this port is DATADIR-safe, then ignore this warning
WARN: /usr/ports/www/h2o/pkg-plist: [5]: If and only if your port is DATADIR-safe (that is, a user can override DATADIR when building this port and the port will still work correctly) consider using DATADIR macro; if you are unsure if this port is DATADIR-safe, then ignore this warning
WARN: Makefile: possible use of absolute pathname "/var/log/${PORTNAME}...".
0 fatal errors and 5 warnings found.

# poudriere

http://pkg.skunkwerks.at/poudriere/data/latest-per-pkg/h2o

# pretty diff

https://github.com/dch/freebsd-ports/tree/h2o
Comment 1 Jason Unovitch freebsd_committer 2016-01-10 16:00:04 UTC
Committed. Thanks!
Comment 2 commit-hook freebsd_committer 2016-01-10 16:00:13 UTC
A commit references this bug:

Author: junovitch
Date: Sun Jan 10 15:59:20 UTC 2016
New revision: 405714
URL: https://svnweb.freebsd.org/changeset/ports/405714

Log:
  www/h2o: update 1.6.0 -> 1.6.1 and add LibreSSL option

  - OPTIONS: Add bundled LIBRESSL option and set as default
    - HTTP/2 support requires TLS ALPN extension missing in base OpenSSL
    - Upstream expectation is the bundled LibreSSL is used to support HTTP/2
    - Enables ChaCha20-Poly1305 ciphers as a bonus
  - Update sample configuration file

  Changes:	https://github.com/h2o/h2o/releases/tag/v1.6.1

  PR:		205946
  Submitted by:	Dave Cottlehuber <dch@skunkwerks.at> (maintainer)

Changes:
  head/www/h2o/Makefile
  head/www/h2o/distinfo
  head/www/h2o/files/h2o.conf.sample
Comment 3 commit-hook freebsd_committer 2016-01-19 09:49:05 UTC
A commit references this bug:

Author: junovitch
Date: Tue Jan 19 09:48:59 UTC 2016
New revision: 406677
URL: https://svnweb.freebsd.org/changeset/ports/406677

Log:
  MFH: r405714, r406010 (manual; www/h2o only), r406168

  www/h2o: update 1.6.0 -> 1.6.2 and add LibreSSL option
  - OPTIONS: Add bundled LIBRESSL option and set as default
    - HTTP/2 support requires TLS ALPN extension missing in base OpenSSL
    - Upstream expectation is the bundled LibreSSL is used to support HTTP/2
    - Enables ChaCha20-Poly1305 ciphers as a bonus
  - Update sample configuration file
  - Fix typos in USE_* knobs for www/h2o

  Changes:	https://github.com/h2o/h2o/releases/tag/v1.6.1
  Changes:	https://github.com/h2o/h2o/releases/tag/v1.6.2

  PR:		205946
  PR:		206193
  Submitted by:	Dave Cottlehuber <dch@skunkwerks.at> (maintainer)
  Approved by:	ports-secteam (miwi)
  Security:	6c808811-bb9a-11e5-a65c-485d605f4717

Changes:
_U  branches/2016Q1/
  branches/2016Q1/www/h2o/Makefile
  branches/2016Q1/www/h2o/distinfo
  branches/2016Q1/www/h2o/files/h2o.conf.sample